;; Copyright 2008, 2009, 2013 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(progn
  (add-to-list 'load-path "..")
  (autoload 'man-preview "man-preview" nil t))

(require 'un-define)
(auto-compression-mode 1)

(setq debug-on-error t)


;;-----------------

(progn
  (require 'man-preview)
  (switch-to-buffer "x")
  (erase-buffer)
  (insert "\n\nstandardinput:123: some message\n")
  (compilation-mode))


;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

;;-----------------


coding undeclared, gets errors:
/usr/share/man/man3/Jcode::Nihongo.3pm.gz

utf8 name near end:
/usr/share/man/man8/leafnode.8.gz

/usr/share/man/man3/Config::AutoConf.3pm.gz
/usr/share/man/man3/DateTime::Locale.3pm.gz
/usr/share/man/man3/Module::Find.3pm.gz
/usr/share/man/man3/Parallel::ForkManager.3pm.gz

