;; Copyright 2009, 2010, 2012, 2013 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.



;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

;;-----------------------------------------------------------------------------
;; comment-region definition of commenting

comment-start-skip
comment-start
% % (fundamental-mode)
(normal-mode)
abc ;;
abc %
(looking-at comment-start-skip)


;;-----------------------------------------------------------------------------
;; parasep-fixme

(my-parasep-fixme)

Blah blah blah fjdks fjkd fjksd fjkd sjkf sdkf ksd jfksd
fjksd fkjs 
fkds fjksd fjk sdjfk sd.
ENHANCE-ME: fjkds
TODO: Blah
FIXME: More blah.


;;-----------------------------------------------------------------------------
;; pod-X
(parasep-perl-pod-X)

X<blah>
Something about blah.
X<foo>
X<foo>

Foo bar quux.
X<foo> X<bar>

X<foo> X<bar
Foo bar quux.

X<foo multi
line>
Para
graph.


;;-----------------------------------------------------------------------------
;; texinfo

optional comment before @*
"[ \t]*\\(@c\\(omment\\)?[ \t]+\\)"

all commands are separators


;;-----------------------------------------------------------------------------
;; junk

;; `pure' except if a new emacs got new regexp syntax that was invalid in
;; the past ...
(put 'parasep-regexp-valid-p 'pure t)

(split-string "" "\\\\|")
(split-string "\\|" "\\\\|")
(split-string "\\|\\|x" "\\\\|")

;;   '(let ((acc nil)
;;          ret)
;;      (dolist (part (split-string regexp "\\\\|" nil))
;;        (if acc
;;            (setq acc (concat acc "\\|" part))
;;          (setq acc part))
;;        (when (my-parasep-regexp-valid-p acc)
;;          (push acc ret)
;;          (setq acc nil)))
;;      (if acc
;;          (push acc ret))
;;      (nreverse ret))
;; 
;; 
;;   '(let ((lst (split-string regexp "\\\\|" nil))
;;          ret)
;;      (while lst
;;        (let ((part (pop lst)))
;;          (while (and lst
;;                      (not (my-parasep-regexp-valid-p part)))
;;            (setq part (concat part "\\|" (pop lst))))
;;          (push part ret)))
;;      (nreverse ret))

;; (defun my-parasep-add-to-regexp (var regexp)
;;   (unless (let ((case-fold-search nil))
;;             (string-match (concat "\\(\\`\\|\\\\|\\)"  ;; start of string or \|
;;                                   (regexp-quote regexp)
;;                                   "\\(\\'\\|\\\\|\\)") ;; end of string or \|
;;                           (symbol-value var)))
;;     (set (make-local-variable var)
;;          (concat (symbol-value var) (concat "\\|" regexp)))))


